Subject: Re: [bug#50838] Update sbcl
From: Guillaume Le Vaillant <[email-masked]>
To: Charles <[email-masked]>
Cc: Pierre Neidhardt <[email-masked]>, [email-masked]
Date: Tue, 28 Sep 2021 09:47:13 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Charles <[email-masked]> skribis:

> I knotice that sbcl 2.1.9 came out, so these patches are to go straight to
> 2.1.9. I needed to update sbcl-esrap with no further problems. Same issues with
> sbcl-burgled-batteries3 and sbcl-png though for sbcl-png, I noticed a github
> pull request (https://github.com/ljosa/cl-png/pull/6) with a fix.

Patches pushed as 9bf9dd79ef907a7faab012f1c60c09e0819e179f and
following. Thanks.

I added patches to fix sbcl-png and sbcl-burgled-batteries3, and I check
that everything depending on SBCL builds fine with:

--8<---------------cut here---------------start------------->8---
./pre-inst-env guix build $(./pre-inst-env guix refresh -l sbcl | cut -d ':' -f 2-)
--8<---------------cut here---------------end--------------->8---